﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPF_Framingham_2YrProbCHDEvent
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void bn_Calc_Click(object sender, RoutedEventArgs e)
        {
            double Age;
            double SBP;
            bool SBPT;
            bool DIAB;
            bool TOBAC;
            double TCHOL;
            double HDLCHOL;
            
            if (!Double.TryParse(TBX_Age.Text, out Age))
            {
                MessageBox.Show("Enter a valid age");
            }
            else if (!Double.TryParse(TBX_SBP.Text,out SBP))
            {
                MessageBox.Show("Enter a valid SBP");
            }
            else if (!Double.TryParse(TBX_TCHOL.Text,out TCHOL))
            {
                MessageBox.Show("Enter a valid TCHOL");
            }
            else if (!Double.TryParse(TBX_HDLCHOL.Text, out HDLCHOL))
            {
                MessageBox.Show("Enter a valid HDLCHOL");
            }
            else
            {
                SBPT=(bool) cb_SBPT.IsChecked;
                DIAB = (bool) cb_DIAB.IsChecked;
                TOBAC = (bool) cb_TOBAC.IsChecked;
                APL2000.Utils.WebTransfer.WebTransfer wt = new APL2000.Utils.WebTransfer.WebTransfer();
                object[] obj;
                obj=wt.Open(@"http://localhost:9002");
                if (0!=(int)obj[0])
                {
                    MessageBox.Show("Cannot open web server");
                }
                else
                {
                    object[] rarg = new object[7];
                    rarg[0] = Age;
                    rarg[1] = SBP;
                    rarg[2] = SBPT;
                    rarg[3] = TOBAC;
                    rarg[4] = DIAB;
                    rarg[5] = TCHOL;
                    rarg[6] = HDLCHOL;
                    obj = wt.SendObject(@"/framingham/do_FHS_1Arg", rarg);
                    if (0!=(int)obj[0])
                    {
                        MessageBox.Show("Error transmitting data to web server");
                    }
                    else
                    {
                        tbk_Result.Text = obj[1].ToString()+"%";

                        string string_uri=@"http://www.framinghamheartstudy.org/risk/coronary2.html#tab1"
 ;
                        Uri uri = new Uri(string_uri, UriKind.RelativeOrAbsolute);
                        try
                        {
                            wb1.Navigate(uri);
                        }
                        catch
                        {
                            MessageBox.Show("Could not access web site: "+string_uri);
                        }
                    }
                }
            }
        }
    }
}
